## orc 0.4.28

=== meson_options.txt ===
option('enable-backend', type : 'combo', choices : ['sse', 'mmx', 'neon', 'mips', 'altivec', 'c64x', 'all'], value : 'all')

## orc 0.4.3

=== debian/changelog ===
orc (0.4.3-5) unstable; urgency=low

  * debian/patches/03_orcutils.patch,
    debian/patches/99_autoreconf.patch:
    + Add missing source file to fix FTBFS on armel (Closes: #537273).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 02 Feb 2010 12:19:33 +0100

orc (0.4.3-4) unstable; urgency=low

  * debian/patches/99_autoreconf.patch:
    + Properly regenerate patch to include the GNU Hurd patch.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Jan 2010 07:09:37 +0100

orc (0.4.3-3) unstable; urgency=low

  * debian/source/format,
    debian/rules:
    + Update to source format 3.0 (quilt).
  * debian/patches/02_gnu-hurd.patch,
    debian/patches/99_autoreconf.patch:
    + Fix build on GNU Hurd (Closes: #565426). Thanks to Pino Toscano.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Jan 2010 09:57:44 +0100

orc (0.4.3-2) unstable; urgency=low

  * debian/rules:
    + Don't fail the build if /proc/cpuinfo doesn't exist.
      Fixes FTBFS on hurd-i386 (hopefully).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Dec 2009 10:12:06 +0100

orc (0.4.3-1) unstable; urgency=low

  * New upstream release:
    + debian/control:
      - Update shlibs version for new API.
  * debian/control:
    + Update Standards-Version to 3.8.3.
    + Update upstream homepage.
  * debian/watch:
    + Update tarball location.
  * debian/patches/01_kfreebsd.patch,
    debian/patches/99_autoreconf.patch:
    + Fix FTBFS on GNU/kFreeBSD (Closes: #561065) and regenerate
      autotools files for this (Closes: #558526).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2009 07:00:25 +0100

orc (0.4.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control:
      - Update shlib version.
  * debian/patches/01_orcc-c-abs.patch:
    + Fix backup C code generation. The ORC_ABS macro was broken.
      Patch from upstream GIT.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 15 Jul 2009 08:53:15 +0200

orc (0.4.1-4) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 14 Jul 2009 20:00:34 +0200

orc (0.4.1-3) experimental; urgency=low

  * debian/rules:
    + Output /proc/cpuinfo before building to get some more
      information about the build system to be able to debug
      testsuite failures.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Jul 2009 08:35:54 +0200

orc (0.4.1-2) experimental; urgency=low

  * debian/copyright:
    + Fix copyright.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 05 Jul 2009 10:27:41 +0200

orc (0.4.1-1) experimental; urgency=low

  * debian/liborc-0.4-0.install:
    + Don't ship example binaries.
  * debian/rules:
    + Simplify shlibs generation.
  * New upstream release:
    + debian/rules:
      - Updating shlibs version to 0.4.1.
    + debian/*.install:
      - Ship orcc inside the -dev package in /usr/bin.
  * debian/control:
    + Update Standards-Version to 3.8.2.
  * debian/liborc-0.4-doc.examples:
    + Add the examples to the doc package.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 03 Jul 2009 09:04:53 +0200

orc (0.4.0-1) experimental; urgency=low

  * Initial version (Closes: #531407).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 01 Jun 2009 12:14:57 +0200

=== debian/control ===
Source: orc
Section: devel
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs,
               debhelper (>= 6),
               dpkg-dev (>= 1.14.13),
               autotools-dev,
               gtk-doc-tools
Standards-Version: 3.8.3
Homepage: http://code.entropywave.com/projects/orc/

Package: liborc-0.4-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Library of Optimized Inner Loops Runtime Compiler
 Orc is a library and set of tools for compiling and executing
 very simple programs that operate on arrays of data.  The "language"
 is a generic assembly language that represents many of the features
 available in SIMD architectures, including saturated addition and
 subtraction, and many arithmetic operations.
 .
 This package contains the orc shared libraries.  It is typically
 installed automatically when an application or library requires it.

Package: liborc-0.4-dev
Section: libdevel
Architecture: any
Depends: liborc-0.4-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Provides: liborc-dev
Suggests: liborc-0.4-doc
Description: Library of Optimized Inner Loops Runtime Compiler (development headers)
 Orc is a library and set of tools for compiling and executing
 very simple programs that operate on arrays of data.  The "language"
 is a generic assembly language that represents many of the features
 available in SIMD architectures, including saturated addition and
 subtraction, and many arithmetic operations.
 .
 This package contains the development headers and libraries, and should
 be installed to compile software that uses orc.

Package: liborc-0.4-0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: liborc-0.4-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Library of Optimized Inner Loops Runtime Compiler (debug package)
 Orc is a library and set of tools for compiling and executing
 very simple programs that operate on arrays of data.  The "language"
 is a generic assembly language that represents many of the features
 available in SIMD architectures, including saturated addition and
 subtraction, and many arithmetic operations.
 .
 This package contains the debugging symbols for the orc library.
 Users should install it if they want to debug software that uses orc.

Package: liborc-0.4-doc
Section: doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Suggests: liborc-0.4-dev
Description: Library of Optimized Inner Loops Runtime Compiler (documentation)
 Orc is a library and set of tools for compiling and executing
 very simple programs that operate on arrays of data.  The "language"
 is a generic assembly language that represents many of the features
 available in SIMD architectures, including saturated addition and
 subtraction, and many arithmetic operations.
 .
 This package contains the documentation for orc.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --enable-static

APIVER := 0.4
SHLIBVER := 0.4.3
liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

DEB_MAKE_CHECK_TARGET := check || true

makebuilddir::
	if test -r /proc/cpuinfo; then \
		cat /proc/cpuinfo; \
	fi

## orc 0.4.6

=== debian/changelog ===
orc (1:0.4.6-2) unstable; urgency=low

  * Reupload 0.4.6-1 to unstable, 0.4.7 should have never been in unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2010 21:03:00 +0200

orc (0.4.7-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Aug 2010 10:29:17 +0200

orc (0.4.6-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version for API additions.
  * debian/control:
    + Update Standards-Version to 3.9.0.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Jul 2010 08:06:29 +0200

orc (0.4.5-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_arm-orcutils.patch:
      - Dropped, merged upstream.
    + debian/rules:
      - Update shlibs version for API additions.
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jun 2010 09:00:02 +0200

orc (0.4.4-2) unstable; urgency=low

  * debian/patches/01_arm-orcutils.patch:
    + Patch from upstream GIT to fix FTBFS on armel.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Apr 2010 14:37:28 +0200

orc (0.4.4-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/01_kfreebsd.patch,
      debian/patches/02_gnu-hurd.patch,
      debian/patches/03_orcutils.patch,
      debian/patches/04_linking.patch:
      - Dropped, merged upstream.
    + debian/rules:
      - Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 25 Apr 2010 11:25:58 +0200

orc (0.4.3-6) unstable; urgency=low

  * debian/rules,
    debian/patches/99_ltmain_as-needed.patch:
    + Link with -Wl,-z,defs -Wl,-O1 -Wl,--as-needed.
  * debian/patches/04_linking.patch,
    debian/patches/99_autoreconf.patch:
    + Fix linking of liborc.
  * debian/control,
    debian/compat:
    + Update to debhelper compat level 7.
    + Update Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Mar 2010 15:10:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 6),
+               debhelper (>= 7),
                dpkg-dev (>= 1.14.13),
                autotools-dev,
                gtk-doc-tools
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://code.entropywave.com/projects/orc/
 
 Package: liborc-0.4-0

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,12 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static
 
 APIVER := 0.4
-SHLIBVER := 0.4.3
+SHLIBVER := 1:0.4.6
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'
 
+LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 DEB_MAKE_CHECK_TARGET := check || true
 
 makebuilddir::

## orc 0.4.11

=== debian/changelog ===
orc (1:0.4.11-2) unstable; urgency=low

  * Upload to unstable.
  * debian/liborc-0.4-dev.install:
    + Add orc-bugreport.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 10:53:24 +0100

orc (1:0.4.11-1) experimental; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Oct 2010 09:31:55 +0200

orc (1:0.4.10-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Oct 2010 09:11:07 +0200

orc (1:0.4.9-2) experimental; urgency=low

  * Update epoch to make the version higher than the unstable one.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2010 21:04:28 +0200

orc (0.4.9-1) experimental; urgency=low

  * New upstream release:
    + debian/rules:
      - Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Sep 2010 10:31:47 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static
 
 APIVER := 0.4
-SHLIBVER := 1:0.4.6
+SHLIBVER := 1:0.4.10
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.14

=== debian/changelog ===
orc (1:0.4.14-1ubuntu1) oneiric; urgency=low

  * debian/patches/100_fix_temp_dir_usage.patch: properly create temp files
    in the /tmp directory instead of falling back to the user's home
    directory. (LP: #860847)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Sep 2011 15:48:02 -0400

orc (1:0.4.14-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 30 Apr 2011 10:32:36 +0200

orc (1:0.4.13-1) unstable; urgency=low

  * New upstream release:
    + Fixes issues with Altivec and SSE (Closes: #623046).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Apr 2011 08:19:52 +0200

orc (1:0.4.12-1) unstable; urgency=low

  * New upstream release:
    + debian/rules:
      - Update SHVER to 0.4.12 for new API.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Apr 2011 09:30:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                debhelper (>= 7),

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static
 
 APIVER := 0.4
-SHLIBVER := 1:0.4.10
+SHLIBVER := 1:0.4.14
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.14-1-maemo1

=== debian/changelog ===
orc (1:0.4.14-1-maemo1) unstable; urgency=low

  * Adjust for Fremantle

 -- Kaj-Michael Lange <milang@tal.org>  Tue, 33 May 2011 14:46:00 +0300

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'
 
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
-DEB_MAKE_CHECK_TARGET := check || true
+# DEB_MAKE_CHECK_TARGET := check || true
 
 makebuilddir::
 	if test -r /proc/cpuinfo; then \

## orc 0.4.16

=== debian/changelog ===
orc (1:0.4.16-2) unstable; urgency=low

  * Team upload.
  * Build for multiarch, thanks to William A Van Hevelingen and
    Miguel A. Colón Vélez for the good work. (Closes: #651008)
  * Add Vcs-* fields.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Apr 2012 10:17:02 +0200

orc (1:0.4.16-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_fix_orc_init_hang.patch:
      - Dropped, fixed upstream.
    + debian/rules:
      - Update shlibs version to >= 0.4.16 because of a new symbol
        in the x86 backend.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Oct 2011 10:54:23 +0200

orc (1:0.4.15-2) unstable; urgency=low

  * d/p/01_fix_orc_init_hang.patch:
    + Quick workaround to fix hangs in orc_init
  * debian/control: Add myself to uploaders

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 28 Sep 2011 08:26:44 +0100

orc (1:0.4.15-1) unstable; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Sep 2011 11:21:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,25 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs,
-               debhelper (>= 7),
-               dpkg-dev (>= 1.14.13),
-               autotools-dev,
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: autotools-dev,
+               cdbs (>= 0.4.93~),
+               debhelper (>= 9),
                gtk-doc-tools
-Standards-Version: 3.9.0
+Standards-Version: 3.9.3
 Homepage: http://code.entropywave.com/projects/orc/
+Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/orc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/orc.git
 
 Package: liborc-0.4-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Library of Optimized Inner Loops Runtime Compiler
  Orc is a library and set of tools for compiling and executing
  very simple programs that operate on arrays of data.  The "language"
@@ -31,8 +34,8 @@
 Section: libdevel
 Architecture: any
 Depends: liborc-0.4-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: liborc-dev
 Suggests: liborc-0.4-doc
 Description: Library of Optimized Inner Loops Runtime Compiler (development headers)
@@ -49,9 +52,10 @@
 Section: debug
 Architecture: any
 Priority: extra
+Multi-Arch: same
 Depends: liborc-0.4-0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Library of Optimized Inner Loops Runtime Compiler (debug package)
  Orc is a library and set of tools for compiling and executing
  very simple programs that operate on arrays of data.  The "language"
@@ -76,4 +80,3 @@
  subtraction, and many arithmetic operations.
  .
  This package contains the documentation for orc.
-

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
APIVER := 0.4
SHLIBVER := 1:0.4.16
liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)

DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
DEB_MAKE_CHECK_TARGET := check || true

makebuilddir::
	if test -r /proc/cpuinfo; then \
		cat /proc/cpuinfo; \
	fi

## orc 0.4.17

=== debian/changelog ===
orc (1:0.4.17-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 May 2013 08:35:12 +0200

orc (1:0.4.17-1) experimental; urgency=low

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Feb 2013 10:33:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 APIVER := 0.4
-SHLIBVER := 1:0.4.16
+SHLIBVER := 1:0.4.17
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.18

=== debian/changelog ===
orc (1:0.4.18-1ubuntu1) trusty; urgency=medium

  * Build with dh-autoreconf for new libtool.

 -- William Grant <wgrant@ubuntu.com>  Sun, 15 Dec 2013 06:40:48 +0000

orc (1:0.4.18-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Aug 2013 09:04:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autotools-dev,
+Build-Depends: dh-autoreconf,
                cdbs (>= 0.4.93~),
                debhelper (>= 9),
                gtk-doc-tools

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 APIVER := 0.4
-SHLIBVER := 1:0.4.17
+SHLIBVER := 1:0.4.18
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.19

=== debian/changelog ===
orc (1:0.4.19-1~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy, no changes required.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 28 May 2014 09:29:41 +0200

orc (1:0.4.19-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Apr 2014 10:41:30 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
-include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg

## orc 0.4.22

=== debian/changelog ===
orc (1:0.4.22-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 12:37:05 +0300

orc (1:0.4.21-1) unstable; urgency=medium

  * New upstream bugfix release.
  * debian/rules,
    debian/control:
    + Use dh-autoreconf to regenerate the autotools generated files during build.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jun 2014 09:45:42 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,14 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/autotools.mk
+include /usr/share/cdbs/1/rules/autoreconf.mk
+
+DEB_DH_AUTORECONF_ARGS += --as-needed
 
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 APIVER := 0.4
-SHLIBVER := 1:0.4.18
+SHLIBVER := 1:0.4.20
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.24

=== debian/changelog ===
orc (1:0.4.24-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 22:22:35 +0200

orc (1:0.4.23-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:53:58 +0300

orc (1:0.4.23-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 17 Dec 2014 10:22:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 APIVER := 0.4
-SHLIBVER := 1:0.4.20
+SHLIBVER := 1:0.4.23
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.25

=== debian/changelog ===
orc (1:0.4.25-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/rules:
      - Update SHLIBVER to 0.4.25 for new orc_version_string() symbol.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 05 Mar 2016 09:35:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: dh-autoreconf,
+Build-Depends: autotools-dev,
                cdbs (>= 0.4.93~),
                debhelper (>= 9),
+               autotools-dev,
+               automake (>= 1.11),
+               autoconf (>= 2.68),
+               libtool (>= 2.2.6),
+               dh-autoreconf,
+               pkg-config,
                gtk-doc-tools
 Standards-Version: 3.9.3
 Homepage: http://code.entropywave.com/projects/orc/

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_DH_STRIP_ARGS := --dbg-package=liborc-0.4-0-dbg
 DEB_CONFIGURE_EXTRA_FLAGS := --enable-static --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
 APIVER := 0.4
-SHLIBVER := 1:0.4.23
+SHLIBVER := 1:0.4.25
 liborc := $(shell sed -nr 's/^Package:[[:space:]]*(liborc-$(APIVER)-[0-9]+)[[:space:]]*$$/\1/p' debian/control)
 
 DEB_DH_MAKESHLIBS_ARGS_$(liborc) = -V '$(liborc) (>= $(SHLIBVER))'

## orc 0.4.26

=== debian/changelog ===
orc (1:0.4.26-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * debian/control,
    debian/liborc-0.4-dev.install,
    debian/liborc-0.4-dev-bin.install:
    + Split orcc into a separate M-A:allowed package (Closes: #841827).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Oct 2016 09:22:39 +0300

orc (1:0.4.26-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 31 Aug 2016 13:13:32 +0300

=== debian/control ===
--- 
+++ 
@@ -40,6 +40,7 @@
 Section: libdevel
 Architecture: any
 Depends: liborc-0.4-0 (= ${binary:Version}),
+         liborc-0.4-dev-bin:any (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: liborc-dev
@@ -53,6 +54,24 @@
  .
  This package contains the development headers and libraries, and should
  be installed to compile software that uses orc.
+
+Package: liborc-0.4-dev-bin
+Section: libdevel
+Architecture: any
+Multi-Arch: allowed
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: liborc-dev-bin
+Breaks: liborc-0.4-dev (<< 1:0.4.26-2~)
+Replaces: liborc-0.4-dev (<< 1:0.4.26-2~)
+Description: Library of Optimized Inner Loops Runtime Compiler (development tools)
+ Orc is a library and set of tools for compiling and executing
+ very simple programs that operate on arrays of data.  The "language"
+ is a generic assembly language that represents many of the features
+ available in SIMD architectures, including saturated addition and
+ subtraction, and many arithmetic operations.
+ .
+ This package contains the development tools, and should not be
+ installed directly.
 
 Package: liborc-0.4-0-dbg
 Section: debug

## orc 0.4.27

=== debian/changelog ===
orc (1:0.4.27-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Jul 2017 19:16:18 +0300

## orc 0.4.28

=== debian/changelog ===
orc (1:0.4.28-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Switch to meson based build system and use dh instead of cdbs.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 20 Nov 2017 18:06:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,12 @@
 Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autotools-dev,
-               cdbs (>= 0.4.93~),
-               debhelper (>= 9),
-               autotools-dev,
-               automake (>= 1.11),
-               autoconf (>= 2.68),
-               libtool (>= 2.2.6),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 9),
+               meson (>= 0.41.0),
                pkg-config,
                gtk-doc-tools
 Standards-Version: 3.9.3
-Homepage: http://code.entropywave.com/projects/orc/
+Homepage: https://cgit.freedesktop.org/gstreamer/orc
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/orc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/orc.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export MAKE = ninja -v

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	if test -r /proc/cpuinfo; then \
		cat /proc/cpuinfo; \
	fi
	mkdir -p deb-build && meson --buildtype plain --prefix /usr --default-library shared . deb-build
	mkdir -p deb-build-static && meson --buildtype plain --prefix /usr --default-library static -Db_staticpic=true -Ddisable_gtkdoc=true -Ddisable_tests=true . deb-build-static

override_dh_auto_build:
	$(MAKE) -C deb-build all
	$(MAKE) -C deb-build-static all

override_dh_auto_clean:
	rm -rf deb-build deb-build-static
	dh_auto_clean

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C deb-build install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C deb-build-static install
	dh_auto_install

override_dh_auto_test:
	$(MAKE) -C deb-build test || true

override_dh_strip:
	dh_strip -pliborc-0.4-0 --dbg-package=liborc-0.4-0-dbg
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -pliborc-0.4-0 -V 'liborc-0.4-0 (>= 1:0.4.25)' -- -c4

## orc 0.4.30

=== debian/changelog ===
orc (1:0.4.30-1) unstable; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Sep 2019 10:24:19 +0300

orc (1:0.4.29-3) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 Sep 2019 12:34:26 +0300

orc (1:0.4.29-2) experimental; urgency=medium

  * Integrate 1:0.4.28-3.1 NMU.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Jun 2019 10:50:23 +0300

orc (1:0.4.29-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 15 Apr 2019 12:39:56 +0300

orc (1:0.4.28-3.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Niels Thykier ]
  * Set Rules-Requires-Root to no because orc does not need
    (fake)root for building the binary package.
  * Pass --parallel to dh to support using multiple cores when
    building the package.

  [ Helmut Grohne ]
  * Fix FTCBFS: Use debhelpers meson buildsystem. (Closes: #905813)

 -- Niels Thykier <niels@thykier.net>  Wed, 02 Jan 2019 11:00:22 +0000

orc (1:0.4.28-3) unstable; urgency=medium

  [ Hugh McMaster ]
  * debian/control:
    + Mark liborc-0.4-dev Multi-Arch: same (Closes: #862261).
    + Mark liborc-0.4-doc Multi-Arch: foreign.
    + Remove un-necessary Priority fields.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Sep 2018 16:44:57 +0300

orc (1:0.4.28-2) unstable; urgency=medium

  * debian/control:
    + Update maintainer mail address (Closes: #899767)
    + Update links to GIT repository

 -- Sebastian Dröge <slomo@debian.org>  Thu, 31 May 2018 17:03:45 +0300

## orc 0.4.31

=== debian/changelog ===
orc (1:0.4.31-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2024-40897.patch: use vasprintf if available for
      error messages and otherwise vsnprintf in orc/orccompiler.c,
      orc/orcparse.c.
    - CVE-2024-40897

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 13 Aug 2024 07:40:52 -0300

orc (1:0.4.31-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #940979).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 02 Nov 2019 10:26:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper (>= 9),
-               meson (>= 0.41.0),
+               meson (>= 0.47.0),
                pkg-config,
                gtk-doc-tools
+Rules-Requires-Root: no
 Standards-Version: 3.9.3
 Homepage: https://cgit.freedesktop.org/gstreamer/orc
-Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/orc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/orc.git
+Vcs-Git: https://salsa.debian.org/gstreamer-team/orc.git
+Vcs-Browser: https://salsa.debian.org/gstreamer-team/orc/
 
 Package: liborc-0.4-0
 Section: libs
@@ -33,6 +35,7 @@
 Package: liborc-0.4-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: liborc-0.4-0 (= ${binary:Version}),
          liborc-0.4-dev-bin:any (= ${binary:Version}),
          ${misc:Depends},
@@ -70,7 +73,6 @@
 Package: liborc-0.4-0-dbg
 Section: debug
 Architecture: any
-Priority: extra
 Multi-Arch: same
 Depends: liborc-0.4-0 (= ${binary:Version}),
          ${misc:Depends},
@@ -88,7 +90,7 @@
 Package: liborc-0.4-doc
 Section: doc
 Architecture: all
-Priority: optional
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: liborc-0.4-dev
 Description: Library of Optimized Inner Loops Runtime Compiler (documentation)

=== debian/watch ===
version=2
http://code.entropywave.com/download/orc/orc-([0-9.]*).tar.gz

## orc 0.4.32

=== debian/changelog ===
orc (1:0.4.32-2) UNRELEASED; urgency=medium

  * update

 -- Maintainers of GStreamer packages <orc@packages.debian.org>  Mon, 06 Jun 2022 19:25:49 +0800

orc (1:0.4.32-2) unstable; urgency=medium

  * debian/rules:
    + Use new meson configuration flags for tests/gtk-doc (Closes: #998583).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2022 11:48:42 +0200

orc (1:0.4.32-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Transition to automatic debug package (from: liborc-0.4-0-dbg).
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Sep 2020 20:37:02 +0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                meson (>= 0.47.0),
                pkg-config,
                gtk-doc-tools
 Rules-Requires-Root: no
-Standards-Version: 3.9.3
+Standards-Version: 4.5.0
 Homepage: https://cgit.freedesktop.org/gstreamer/orc
 Vcs-Git: https://salsa.debian.org/gstreamer-team/orc.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/orc/
@@ -70,23 +69,6 @@
  This package contains the development tools, and should not be
  installed directly.
 
-Package: liborc-0.4-0-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: liborc-0.4-0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Library of Optimized Inner Loops Runtime Compiler (debug package)
- Orc is a library and set of tools for compiling and executing
- very simple programs that operate on arrays of data.  The "language"
- is a generic assembly language that represents many of the features
- available in SIMD architectures, including saturated addition and
- subtraction, and many arithmetic operations.
- .
- This package contains the debugging symbols for the orc library.
- Users should install it if they want to debug software that uses orc.
-
 Package: liborc-0.4-doc
 Section: doc
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	if test -r /proc/cpuinfo; then \
		cat /proc/cpuinfo; \
	fi
	dh_auto_configure --builddirectory=deb-build -- --default-library shared
	dh_auto_configure --builddirectory=deb-build-static -- --default-library=static -Db_staticpic=true -Dgtk_doc=disabled -Dtests=disabled

override_dh_auto_build:
	dh_auto_build --builddirectory=deb-build
	dh_auto_build --builddirectory=deb-build-static

override_dh_auto_clean:
	rm -rf deb-build deb-build-static
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install --builddirectory=deb-build
	dh_auto_install --builddirectory=deb-build-static

override_dh_auto_test:
	dh_auto_test --builddirectory=test || true

override_dh_strip:
	dh_strip -pliborc-0.4-0 --dbgsym-migration='liborc-0.4-0-dbg (<< 1:0.4.32-1~)'
	dh_strip --remaining-packages

override_dh_makeshlibs:
	dh_makeshlibs -pliborc-0.4-0 -V 'liborc-0.4-0 (>= 1:0.4.25)' -- -c4

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/orc/orc-([\d]+\.[\d]+\.[\d]+)\.tar\.xz

## orc 0.4.33

=== debian/changelog ===
orc (1:0.4.33-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Jeremy Bicha ]
  * Temporarily ignore arm64 build test failure
  * Add debian/upstream/metadata
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 11:44:29 -0500

orc (1:0.4.33-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop static library and simplify debian/rules
  * Add patch to skip building static test library

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 07:58:37 -0500

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson (>= 0.47.0),
+               meson,
                pkg-config,
                gtk-doc-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://cgit.freedesktop.org/gstreamer/orc
 Vcs-Git: https://salsa.debian.org/gstreamer-team/orc.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/orc/
@@ -18,7 +18,6 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Library of Optimized Inner Loops Runtime Compiler
@@ -57,8 +56,6 @@
 Multi-Arch: allowed
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liborc-dev-bin
-Breaks: liborc-0.4-dev (<< 1:0.4.26-2~)
-Replaces: liborc-0.4-dev (<< 1:0.4.26-2~)
 Description: Library of Optimized Inner Loops Runtime Compiler (development tools)
  Orc is a library and set of tools for compiling and executing
  very simple programs that operate on arrays of data.  The "language"

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -pliborc-0.4-0 -V 'liborc-0.4-0 (>= 1:0.4.25)' -- -c4

# Temporarily ignore arm64 test failure:
# https://gitlab.freedesktop.org/gstreamer/orc/-/issues/45
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
	dh_auto_test || true
else
	dh_auto_test
endif

## orc 0.4.34

=== debian/changelog ===
orc (1:0.4.34-3) unstable; urgency=medium

  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 21:42:43 -0400

orc (1:0.4.34-2) unstable; urgency=medium

  * Update symbols file

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 10:11:28 -0400

orc (1:0.4.34-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add symbols file
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * debian/rules: Enable all hardening flags
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 13 Jun 2023 07:45:27 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                pkg-config,
                gtk-doc-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://cgit.freedesktop.org/gstreamer/orc
 Vcs-Git: https://salsa.debian.org/gstreamer-team/orc.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/orc/

## orc 0.4.38

=== debian/changelog ===
orc (1:0.4.38-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow
    - debian/patches/CVE-2024-40897.patch: use vasprintf if available for
      error messages and otherwise vsnprintf in orc/orccompiler.c,
      orc/orcparse.c.
    - CVE-2024-40897

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 05 Aug 2024 17:30:20 -0300

orc (1:0.4.38-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:43:01 +0000

orc (1:0.4.38-1) unstable; urgency=medium

  * New upstream version 0.4.38 (Closes: #1064960)
  * d/control: add Marc Leeman to Uploaders
  * d/install: orc.m4 was removed
  * d/symbols: update for 0.4.38 release
  * d/control: pkg-config is transitional
  * d/changelog: close new release request
  * d/changelog: incorporate NMU

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 14 Mar 2024 09:55:47 +0100

orc (1:0.4.34-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix symbols dependencies on liborc-test.

 -- Steve Langasek <vorlon@debian.org>  Mon, 11 Mar 2024 04:36:15 +0000

orc (1:0.4.34-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build depedency on dpkg-dev to use >= not >> (sorry).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 05 Mar 2024 10:54:56 +1300

orc (1:0.4.34-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build depedency on dpkg-dev (>= 1.22.5) for time_t transition.
    (Closes: #1065272)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Mon, 04 Mar 2024 23:40:36 +1300

orc (1:0.4.34-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable (Closes: #1063175)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Feb 2024 07:51:27 -0500

orc (1:0.4.34-3.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 05 Feb 2024 13:01:54 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper-compat (= 13),
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                meson,
-               pkg-config,
+               pkgconf,
                gtk-doc-tools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
@@ -14,7 +17,10 @@
 Vcs-Git: https://salsa.debian.org/gstreamer-team/orc.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/orc/
 
-Package: liborc-0.4-0
+Package: liborc-0.4-0t64
+Provides: ${t64:Provides}
+Replaces: liborc-0.4-0
+Breaks: liborc-0.4-0 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -34,7 +40,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liborc-0.4-0 (= ${binary:Version}),
+Depends: liborc-0.4-0t64 (= ${binary:Version}),
          liborc-0.4-dev-bin:any (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

## orc 0.4.40

=== debian/changelog ===
orc (1:0.4.40-1) unstable; urgency=medium

  * New upstream version 0.4.40

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 13 Sep 2024 09:58:06 +0200

orc (1:0.4.39-3) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * Cherry-pick patch to fix ppc64el build
  * Stop ignoring build test failures on arm64 (LP: #1999062)

  [ Samuel Thibault ]
  * Update symbols file for hurd-amd64 (Closes: #1077079)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Aug 2024 08:33:15 -0400

orc (1:0.4.39-2) unstable; urgency=medium

  * d/symbols: update symbols 1:0.4.39

 -- Marc Leeman <marc.leeman@gmail.com>  Sun, 21 Jul 2024 07:10:15 +0200

orc (1:0.4.39-1) unstable; urgency=medium

  * New upstream version 0.4.39

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 19 Jul 2024 13:17:29 +0200

## orc 0.4.41

=== meson_options.txt ===
option('orc-target', type : 'combo', choices : ['avx', 'sse', 'mmx', 'neon', 'mips', 'altivec', 'c64x', 'all'], value : 'all')
option('orc-backend', type : 'combo', choices : ['avx', 'sse', 'mmx', 'neon', 'mips', 'altivec', 'c64x', 'all'], value : 'all', deprecated: true)

# Orc feature options
option('orc-test', type : 'feature', value : 'auto', description : 'Build the orc-test library used for unit testing and by the orc-bugreport tool')

# Common feature options
option('benchmarks', type : 'feature', value : 'auto', yield : true)
option('examples', type : 'feature', value : 'auto', yield : true)
option('gtk_doc', type : 'feature', value : 'auto', yield : true, description : 'Generate API documentation with gtk-doc')
option('tests', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)

=== debian/changelog ===
orc (1:0.4.41-1) unstable; urgency=medium

  * d/patches: add 0001_simple-spell-fix.patch
  * New upstream version 0.4.41
  * Revert "d/patches: add 0001_simple-spell-fix.patch"

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 18 Feb 2025 09:23:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: orc
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <orc@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
            Marc Leeman <marc.leeman@gmail.com>

=== debian/watch ===
version=4
opts=pgpmode=auto \
https://gstreamer.freedesktop.org/src/@PACKAGE@/ \
 @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## orc 0.4.42

=== meson_options.txt ===
option('orc-target', type : 'array', choices : ['avx', 'sse', 'mmx', 'neon', 'mips', 'altivec', 'c64x', 'riscv', 'lsx', 'lasx', 'all'], value : ['all'])
option('orc-backend', type : 'array', choices : ['avx', 'sse', 'mmx', 'neon', 'mips', 'altivec', 'c64x', 'riscv', 'lsx', 'lasx', 'all'], value : ['all'], deprecated: true)

# Orc feature options
option('orc-test', type : 'feature', value : 'auto', description : 'Build the orc-test library used for unit testing and by the orc-bugreport tool')

# Common feature options
option('benchmarks', type : 'feature', value : 'auto', yield : true)
option('examples', type : 'feature', value : 'auto', yield : true)
option('hotdoc', type : 'feature', value : 'auto', yield : true, description : 'Generate API documentation with hotdoc')
option('tests', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'enabled', yield : true)

=== debian/changelog ===
orc (1:0.4.42-2) unstable; urgency=medium

  * d/symbols: remove some x86 symbol restrictions

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 09 Jan 2026 15:53:13 +0100

orc (1:0.4.42-1) unstable; urgency=medium

  * New upstream version 0.4.42
  * d/symbols: update for 0.4.42 release
  * liborc-0.4-doc: documentation is now in hotdoc

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 09 Jan 2026 15:07:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                debhelper-compat (= 13),
                meson,
                pkgconf,
-               gtk-doc-tools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://cgit.freedesktop.org/gstreamer/orc
